> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/primary-issues.md).

# Primary issues

When a security token is first issued, an opening balance of the security token can be created by the issuer either for itself or for a nominee. The issuer or its nominee can then offer their security tokens to a Primary issue manager contract on the Verified Network that creates a liquidity pool which sets a price curve for subscriptions to the new issue.

Subscribers to a primary issue can purchase the security token from the liquidity pool created by swapping in the currency token paired with the security token with the `Offer` function called on the Primary Issue Manager contract.

The offer of security tokens in a liquidity pool can be underwritten by licensed Asset Managers on the Verified Network. Registrar and Transfer agents for the security token can then start the issue and also set an end date for the primary issue. Once the primary issue ends, Registrar and Transfer agents can make allotments of security tokens to subscribers, refund subscriptions back to those whose subscriptions are not accepted, and settle subscription capital to issuers of the security token for which primary issue was run.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/primary-issues.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
